import baseCssAdapter from "css-select-base-adapter";
const svgoCssSelectAdapter = baseCssAdapter({
  isTag: function(node) {
    return node.isElem();
  },
  getParent: function(node) {
    return node.parentNode || null;
  },
  getChildren: function(node) {
    return node.content || [];
  },
  getName: function(elemAst) {
    return elemAst.elem;
  },
  getText: function(node) {
    return node.content[0].text || node.content[0].cdata || "";
  },
  getAttributeValue: function(elem, name) {
    return elem.hasAttr(name) ? elem.attr(name).value : null;
  }
});
export { svgoCssSelectAdapter };