const encodeSVGDatauri = function(str, type) {
  const prefix = "data:image/svg+xml";
  type && "base64" !== type ? "enc" === type ? str = prefix + "," + encodeURIComponent(str) : "unenc" === type && (str = prefix + "," + str) : str = prefix + ";base64," + Buffer.from(str).toString("base64");
  return str;
};
const decodeSVGDatauri = function(str) {
  const match = /data:image\/svg\+xml(;charset=[^;,]*)?(;base64)?,(.*)/.exec(str);
  if (!match) return str;
  const data = match[3];
  match[2] ? str = Buffer.from(data, "base64").toString("utf8") : "%" === data.charAt(0) ? str = decodeURIComponent(data) : "<" === data.charAt(0) && (str = data);
  return str;
};
const intersectArrays = function(a, b) {
  return a.filter((function(n) {
    return b.indexOf(n) > -1;
  }));
};
const cleanupOutData = function(data, params, command) {
  let str = "";
  let delimiter;
  let prev;
  data.forEach((function(item, i) {
    delimiter = " ";
    0 === i && (delimiter = "");
    if (params.noSpaceAfterFlags && ("A" === command || "a" === command)) {
      const pos = i % 7;
      4 !== pos && 5 !== pos || (delimiter = "");
    }
    params.leadingZero && (item = removeLeadingZero(item));
    params.negativeExtraSpace && "" !== delimiter && (item < 0 || 46 === String(item).charCodeAt(0) && prev % 1 != 0) && (delimiter = "");
    prev = item;
    str += delimiter + item;
  }));
  return str;
};
const removeLeadingZero = function(num) {
  let strNum = num.toString();
  num > 0 && num < 1 && 48 === strNum.charCodeAt(0) ? strNum = strNum.slice(1) : num > -1 && num < 0 && 48 === strNum.charCodeAt(1) && (strNum = strNum.charAt(0) + strNum.slice(2));
  return strNum;
};
export { encodeSVGDatauri, decodeSVGDatauri, intersectArrays, cleanupOutData, removeLeadingZero };