const name = "addAttributesToSVGElement";
const type = "full";
const active = !1;
const description = "adds attributes to an outer <svg> element";
const params = {};
const fn = function(data, params) {
  if (!params || !Array.isArray(params.attributes) && !params.attribute) {
    console.error('Error in plugin "addAttributesToSVGElement": absent parameters.\nIt should have a list of "attributes" or one "attribute".\nConfig example:\n\nplugins:\n- addAttributesToSVGElement:\n    attribute: "mySvg"\n\nplugins:\n- addAttributesToSVGElement:\n    attributes: ["mySvg", "size-big"]\n\nplugins:\n- addAttributesToSVGElement:\n    attributes:\n        - focusable: false\n        - data-image: icon');
    return data;
  }
  const attributes = params.attributes || [ params.attribute ];
  const svg = data.content[0];
  svg.isElem("svg") && attributes.forEach((function(attribute) {
    "string" == typeof attribute ? svg.hasAttr(attribute) || svg.addAttr({
      name: attribute,
      prefix: "",
      local: attribute
    }) : "object" == typeof attribute && Object.keys(attribute).forEach((function(key) {
      svg.hasAttr(key) || svg.addAttr({
        name: key,
        value: attribute[key],
        prefix: "",
        local: key
      });
    }));
  }));
  return data;
};
export { name, type, active, description, params, fn };