const name = "addClassesToSVGElement";
const type = "full";
const active = !1;
const description = "adds classnames to an outer <svg> element";
const params = {};
const fn = function(data, params) {
  if (!params || !(Array.isArray(params.classNames) && params.classNames.some(String) || params.className)) {
    console.error('Error in plugin "addClassesToSVGElement": absent parameters.\nIt should have a list of classes in "classNames" or one "className".\nConfig example:\n\nplugins:\n- addClassesToSVGElement:\n    className: "mySvg"\n\nplugins:\n- addClassesToSVGElement:\n    classNames: ["mySvg", "size-big"]\n');
    return data;
  }
  const classNames = params.classNames || [ params.className ];
  const svg = data.content[0];
  svg.isElem("svg") && svg.class.add.apply(svg.class, classNames);
  return data;
};
export { name, type, active, description, params, fn };