const name = "cleanupAttrs";
const type = "perItem";
const active = !0;
const description = "cleanups attributes from newlines, trailing and repeating spaces";
const params = {
  newlines: !0,
  trim: !0,
  spaces: !0
};
const regNewlinesNeedSpace = /(\S)\r?\n(\S)/g;
const regNewlines = /\r?\n/g;
const regSpaces = /\s{2,}/g;
const fn = function(item, params) {
  item.isElem() && item.eachAttr((function(attr) {
    if (params.newlines) {
      attr.value = attr.value.replace(regNewlinesNeedSpace, (function(match, p1, p2) {
        return p1 + " " + p2;
      }));
      attr.value = attr.value.replace(regNewlines, "");
    }
    params.trim && (attr.value = attr.value.trim());
    params.spaces && (attr.value = attr.value.replace(regSpaces, " "));
  }));
};
export { name, type, active, description, params, fn };