const name = "cleanupEnableBackground";
const type = "full";
const active = !0;
const description = "remove or cleanup enable-background attribute when possible";
const params = {};
const fn = function(data) {
  const regEnableBackground = /^new\s0\s0\s([-+]?\d*\.?\d+([eE][-+]?\d+)?)\s([-+]?\d*\.?\d+([eE][-+]?\d+)?)$/;
  const elems = [ "svg", "mask", "pattern" ];
  let hasFilter = !1;
  function monkeys(items, fn) {
    items.content.forEach((function(item) {
      fn(item);
      item.content && monkeys(item, fn);
    }));
    return items;
  }
  const firstStep = monkeys(data, (function(item) {
    !function(item) {
      if (item.isElem(elems) && item.hasAttr("enable-background") && item.hasAttr("width") && item.hasAttr("height")) {
        const match = item.attr("enable-background").value.match(regEnableBackground);
        match && item.attr("width").value === match[1] && item.attr("height").value === match[3] && (item.isElem("svg") ? item.removeAttr("enable-background") : item.attr("enable-background").value = "new");
      }
    }(item);
    hasFilter || function(item) {
      item.isElem("filter") && (hasFilter = !0);
    }(item);
  }));
  return hasFilter ? firstStep : monkeys(firstStep, (function(item) {
    item.removeAttr("enable-background");
  }));
};
export { name, type, active, description, params, fn };