import { colorsProps, colorsNames, colorsShortNames } from "./_collections";
const name = "convertColors";
const type = "perItem";
const active = !0;
const description = "converts colors: rgb() to #rrggbb and #rrggbb to #rgb";
const params = {
  currentColor: !1,
  names2hex: !0,
  rgb2hex: !0,
  shorthex: !0,
  shortname: !0
};
const rNumber = "([+-]?(?:\\d*\\.\\d+|\\d+\\.?)%?)";
const regRGB = new RegExp("^rgb\\(\\s*" + rNumber + "\\s*,\\s*" + rNumber + "\\s*,\\s*" + rNumber + "\\s*\\)$");
const regHEX = /^#(([a-fA-F0-9])\2){3}$/;
const none = /\bnone\b/i;
const fn = function(item, params) {
  item.elem && item.eachAttr((function(attr) {
    if (colorsProps.indexOf(attr.name) > -1) {
      let val = attr.value;
      let match;
      if (params.currentColor) {
        match = "string" == typeof params.currentColor ? val === params.currentColor : params.currentColor.exec ? params.currentColor.exec(val) : !val.match(none);
        match && (val = "currentColor");
      }
      params.names2hex && val.toLowerCase() in colorsNames && (val = colorsNames[val.toLowerCase()]);
      if (params.rgb2hex && (match = val.match(regRGB))) {
        match = match.slice(1, 4).map((function(m) {
          m.indexOf("%") > -1 && (m = Math.round(2.55 * parseFloat(m)));
          return Math.max(0, Math.min(m, 255));
        }));
        val = "#" + ("00000" + ((rgb = match)[0] << 16 | rgb[1] << 8 | rgb[2]).toString(16)).slice(-6).toUpperCase();
      }
      params.shorthex && (match = val.match(regHEX)) && (val = "#" + match[0][1] + match[0][3] + match[0][5]);
      if (params.shortname) {
        const lowerVal = val.toLowerCase();
        lowerVal in colorsShortNames && (val = colorsShortNames[lowerVal]);
      }
      attr.value = val;
    }
    var rgb;
  }));
};
export { name, type, active, description, params, fn };