const name = "convertEllipseToCircle";
const type = "perItem";
const active = !0;
const description = "converts non-eccentric <ellipse>s to <circle>s";
const params = {};
const fn = function(item) {
  if (item.isElem("ellipse")) {
    const rx = item.attr("rx").value || 0;
    const ry = item.attr("ry").value || 0;
    if (rx === ry || "auto" === rx || "auto" === ry) {
      const radius = "auto" !== rx ? rx : ry;
      item.renameElem("circle");
      item.removeAttr([ "rx", "ry" ]);
      item.addAttr({
        name: "r",
        value: radius,
        prefix: "",
        local: "r"
      });
    }
  }
};
export { name, type, active, description, params, fn };