import { path2js, js2path, intersects } from "./_path";
const name = "mergePaths";
const type = "perItem";
const active = !0;
const description = "merges multiple paths in one if possible";
const params = {
  collapseRepeated: !0,
  force: !1,
  leadingZero: !0,
  negativeExtraSpace: !0,
  noSpaceAfterFlags: !0
};
const fn = function(item, params) {
  if (!item.isElem() || item.isEmpty()) return;
  let prevContentItem = null;
  let prevContentItemKeys = null;
  item.content = item.content.filter((function(contentItem) {
    if (prevContentItem && prevContentItem.isElem("path") && prevContentItem.isEmpty() && prevContentItem.hasAttr("d") && contentItem.isElem("path") && contentItem.isEmpty() && contentItem.hasAttr("d")) {
      prevContentItemKeys || (prevContentItemKeys = Object.keys(prevContentItem.attrs));
      const contentItemAttrs = Object.keys(contentItem.attrs);
      const equalData = prevContentItemKeys.length === contentItemAttrs.length && contentItemAttrs.every((function(key) {
        return "d" === key || prevContentItem.hasAttr(key) && prevContentItem.attr(key).value === contentItem.attr(key).value;
      }));
      const prevPathJS = path2js(prevContentItem);
      const curPathJS = path2js(contentItem);
      if (equalData && (params.force || !intersects(prevPathJS, curPathJS))) {
        js2path(prevContentItem, prevPathJS.concat(curPathJS), params);
        return !1;
      }
    }
    prevContentItem = contentItem;
    prevContentItemKeys = null;
    return !0;
  }));
};
export { name, type, active, description, params, fn };