import { pathElems as __pathElems, referencesProps } from "./_collections";
const pathElems = __pathElems.concat([ "g", "text" ]);
const name = "moveGroupAttrsToElems";
const type = "perItem";
const active = !0;
const description = "moves some group attributes to the content elements";
const params = {};
const fn = function(item) {
  if (item.isElem("g") && item.hasAttr("transform") && !item.isEmpty() && !item.someAttr((function(attr) {
    return ~referencesProps.indexOf(attr.name) && ~attr.value.indexOf("url(");
  })) && item.content.every((function(inner) {
    return inner.isElem(pathElems) && !inner.hasAttr("id");
  }))) {
    item.content.forEach((function(inner) {
      const attr = item.attr("transform");
      inner.hasAttr("transform") ? inner.attr("transform").value = attr.value + " " + inner.attr("transform").value : inner.addAttr({
        name: attr.name,
        local: attr.local,
        prefix: attr.prefix,
        value: attr.value
      });
    }));
    item.removeAttr("transform");
  }
};
export { name, type, active, description, params, fn };