const name = "removeElementsByAttr";
const type = "perItem";
const active = !1;
const description = "removes arbitrary elements by ID or className (disabled by default)";
const params = {
  id: [],
  class: []
};
const fn = function(item, params) {
  [ "id", "class" ].forEach((function(key) {
    Array.isArray(params[key]) || (params[key] = [ params[key] ]);
  }));
  if (!item.isElem()) return;
  const elemId = item.attr("id");
  if (elemId) return -1 === params.id.indexOf(elemId.value);
  const elemClass = item.attr("class");
  return elemClass ? !new RegExp(params.class.join("|")).test(elemClass.value) : void 0;
};
export { name, type, active, description, params, fn };