import { JSAPI } from "../lib/svgo/jsAPI";
import { intersects, path2js } from "./_path";
const name = "removeOffCanvasPaths";
const type = "perItem";
const active = !1;
const description = "removes elements that are drawn outside of the viewbox (disabled by default)";
const params = {};
let viewBox;
let viewBoxJS;
const fn = function(item) {
  if (item.isElem("path") && item.hasAttr("d") && void 0 !== viewBox) {
    if (function hasTransform(item) {
      return item.hasAttr("transform") || item.parentNode && hasTransform(item.parentNode);
    }(item) || function(path) {
      const regexp = /M\s*(-?\d*\.?\d+)(?!\d)\s*(-?\d*\.?\d+)/g;
      let m;
      for (;null !== (m = regexp.exec(path)); ) if (m[1] >= viewBox.left && m[1] <= viewBox.right && m[2] >= viewBox.top && m[2] <= viewBox.bottom) return !0;
      return !1;
    }(item.attr("d").value)) return !0;
    let pathJS = path2js(item);
    if (2 === pathJS.length) {
      pathJS = JSON.parse(JSON.stringify(pathJS));
      pathJS.push({
        instruction: "z"
      });
    }
    return intersects(viewBoxJS, pathJS);
  }
  item.isElem("svg") && function(svg) {
    let viewBoxData = "";
    svg.hasAttr("viewBox") ? viewBoxData = svg.attr("viewBox").value : svg.hasAttr("height") && svg.hasAttr("width") && (viewBoxData = "0 0 " + svg.attr("width").value + " " + svg.attr("height").value);
    viewBoxData = viewBoxData.replace(/[,+]|px/g, " ").replace(/\s+/g, " ").replace(/^\s*|\s*$/g, "");
    const m = /^(-?\d*\.?\d+) (-?\d*\.?\d+) (\d*\.?\d+) (\d*\.?\d+)$/.exec(viewBoxData);
    if (!m) return;
    viewBox = {
      left: parseFloat(m[1]),
      top: parseFloat(m[2]),
      right: parseFloat(m[1]) + parseFloat(m[3]),
      bottom: parseFloat(m[2]) + parseFloat(m[4])
    };
    const path = new JSAPI({
      elem: "path",
      prefix: "",
      local: "path"
    });
    path.addAttr({
      name: "d",
      prefix: "",
      local: "d",
      value: "M" + m[1] + " " + m[2] + "h" + m[3] + "v" + m[4] + "H" + m[1] + "z"
    });
    viewBoxJS = path2js(path);
  }(item);
  return !0;
};
export { name, type, active, description, params, fn };