import { elems, attrsGroups, elemsGroups, attrsGroupsDefaults, inheritableAttrs as attrsInheritable, presentationNonInheritableGroupAttrs as applyGroups } from "./_collections";
const name = "removeUnknownsAndDefaults";
const type = "perItem";
const active = !0;
const description = "removes unknown elements content and attributes, removes attrs with default values";
const params = {
  unknownContent: !0,
  unknownAttrs: !0,
  defaultAttrs: !0,
  uselessOverrides: !0,
  keepDataAttrs: !0,
  keepAriaAttrs: !0,
  keepRoleAttr: !1
};
for (var elem in elems) {
  if ((elem = elems[elem]).attrsGroups) {
    elem.attrs = elem.attrs || [];
    elem.attrsGroups.forEach((function(attrsGroupName) {
      elem.attrs = elem.attrs.concat(attrsGroups[attrsGroupName]);
      var groupDefaults = attrsGroupsDefaults[attrsGroupName];
      if (groupDefaults) {
        elem.defaults = elem.defaults || {};
        for (var attrName in groupDefaults) elem.defaults[attrName] = groupDefaults[attrName];
      }
    }));
  }
  if (elem.contentGroups) {
    elem.content = elem.content || [];
    elem.contentGroups.forEach((function(contentGroupName) {
      elem.content = elem.content.concat(elemsGroups[contentGroupName]);
    }));
  }
}
const fn = function(item, params) {
  if (item.isElem() && !item.prefix) {
    var elem = item.elem;
    params.unknownContent && !item.isEmpty() && elems[elem] && "foreignObject" !== elem && item.content.forEach((function(content, i) {
      content.isElem() && !content.prefix && (elems[elem].content && -1 === elems[elem].content.indexOf(content.elem) || !elems[elem].content && !elems[content.elem]) && item.content.splice(i, 1);
    }));
    elems[elem] && elems[elem].attrs && item.eachAttr((function(attr) {
      "xmlns" === attr.name || "xml" !== attr.prefix && attr.prefix || params.keepDataAttrs && 0 === attr.name.indexOf("data-") || params.keepAriaAttrs && 0 === attr.name.indexOf("aria-") || params.keepRoleAttr && "role" === attr.name || (params.unknownAttrs && -1 === elems[elem].attrs.indexOf(attr.name) || params.defaultAttrs && !item.hasAttr("id") && elems[elem].defaults && elems[elem].defaults[attr.name] === attr.value && (attrsInheritable.indexOf(attr.name) < 0 || !item.parentNode.computedAttr(attr.name)) || params.uselessOverrides && !item.hasAttr("id") && applyGroups.indexOf(attr.name) < 0 && attrsInheritable.indexOf(attr.name) > -1 && item.parentNode.computedAttr(attr.name, attr.value)) && item.removeAttr(attr.name);
    }));
  }
};
export { name, type, active, description, params, fn };