import { elemsGroups } from "./_collections";
const nonRendering = elemsGroups.nonRendering;
const name = "removeUselessDefs";
const type = "perItem";
const active = !0;
const description = "removes elements in <defs> without id";
const params = {};
const fn = function(item) {
  if (item.isElem("defs")) {
    item.content && (item.content = function getUsefulItems(item, usefulItems) {
      item.content.forEach((function(child) {
        if (child.hasAttr("id") || child.isElem("style")) {
          usefulItems.push(child);
          child.parentNode = item;
        } else child.isEmpty() || (child.content = getUsefulItems(child, usefulItems));
      }));
      return usefulItems;
    }(item, []));
    if (item.isEmpty()) return !1;
  } else if (item.isElem(nonRendering) && !item.hasAttr("id")) return !1;
};
export { name, type, active, description, params, fn };