const name = "sortDefsChildren";
const type = "perItem";
const active = !0;
const description = "Sorts children of <defs> to improve compression";
const params = {};
const fn = function(item) {
  if (item.isElem("defs")) {
    if (item.content) {
      const frequency = item.content.reduce((function(frequency, child) {
        child.elem in frequency ? frequency[child.elem]++ : frequency[child.elem] = 1;
        return frequency;
      }), {});
      item.content.sort((function(a, b) {
        const frequencyComparison = frequency[b.elem] - frequency[a.elem];
        if (0 !== frequencyComparison) return frequencyComparison;
        const lengthComparison = b.elem.length - a.elem.length;
        return 0 !== lengthComparison ? lengthComparison : a.elem !== b.elem ? a.elem > b.elem ? -1 : 1 : 0;
      }));
    }
    return !0;
  }
};
export { name, type, active, description, params, fn };